- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
tbb::proportional_split Class Reference

Type enables transmission of splitting proportion from partitioners to range objects. More...

`#include <tbb_stddef.h>`

## Public Member Functions
| proportional_split (size_t _left=1, size_t _right=1)
| proportional_split (split)
size_t | left () const
size_t | right () const
void | set_proportion (size_t _left, size_t _right)
| operator split () const

## Detailed Description

Type enables transmission of splitting proportion from partitioners to range objects.

In order to make use of such facility Range objects must implement splitting constructor with this type passed and initialize static constant boolean field 'is_divisible_in_proportion' with the value of 'true'

The documentation for this class was generated from the following file:

- tbb_stddef.h

Copyright © 2005-2014 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.